### Method

# GdkPixbuf Pixbuf save_to_stream

since: 2.14

#### Declaration [src]

    gboolean
    gdk_pixbuf_save_to_stream (
      GdkPixbuf* pixbuf,
      GOutputStream* stream,
      const char* type,
      GCancellable* cancellable,
      GError** error,
      ...
    )

#### Description [src]

Saves `pixbuf` to an output stream.

Supported file formats are currently “jpeg”, “tiff”, “png”, “ico” or “bmp”. See `gdk_pixbuf_save_to_buffer()` for more details.

The `cancellable` can be used to abort the operation from another thread. If the operation was cancelled, the error `G_IO_ERROR_CANCELLED` will be returned. Other possible errors are in the `GDK_PIXBUF_ERROR` and `G_IO_ERROR` domains.

The stream is not closed at the end of this call.

Available since: 2.14

This method is not directly available to language bindings.

#### Parameters

`stream`

  Type: `GOutputStream`

  A `GOutputStream` to save the pixbuf to.

  The data is owned by the caller of the method.

`type`

  Type: `const char*`

  Name of file format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError`

  Return location for error, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`...`

  Type: ``

  List of key-value save options.

#### Return value

Type: `gboolean`

`TRUE` if the pixbuf was saved successfully, `FALSE` if an error was set.